<!doctype html>
<html>
    <head>
        <meta charset="utf-8">
        <meta property="og:title" content="RealTalk" />
        <!--<meta property="og:image" content="https://fcs.skt-ptt.co.kr/mcs/p/service_img_market_new.png"/>-->
        <meta property="og:description" content="리얼톡 무전방에 초대합니다."/>
        <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
        <title>RealTalk</title>
        <link rel="shortcut icon" href="../../../../../../../test/new/src/main/webapp/web_resources/p/favicon.ico" />
        <style type="text/css">
            .testButton button {
                display: inline-block;
                font-size: 30px;
                width: 100%;
                height: 100px;
            }
            .testButton a {
                text-decoration: none;
            }
        </style>
    </head>
    <body>
        <div style="display: none" id="appLinkButton" class="testButton" >
            <button id="myCheck" onclick="window.jump()">버튼을 터치하면 리얼톡 설치페이지로 이동합니다.</button>
        </div>
        <script type="text/javascript">
          window.onload = function () {

            function getWebPCLink() {
                return 'http://114.202.2.14:9090/realtalk/realtalk_btoc_qa_ver1.apk';
            }

            function getWebLink() {
                return "market://details?id=";
            }

            function getIOSWebLink() {
                var url = '';
                url = "https://itunes.apple.com/kr/app/okitoki-jeonmunga-sujun-ui/";
                return url;
            }

            function getIOSTempLink() {
                var url = '';
                url = "./d.html";
                return url;
            }

            /*
            function isSafari() {
                var r = false;
                if (navigator.userAgent.indexOf('Safari') != -1 && navigator.userAgent.indexOf('Chrome') == -1 && navigator.userAgent.indexOf('Android') == -1) {
                    r = true;
                    console.log('Its Safari');
                }
                return r;
            }

            function iOS() {
                var iDevices = [
                    'iPad Simulator',
                    'iPhone Simulator',
                    'iPod Simulator',
                    'iPad',
                    'iPhone',
                    'iPod'
                        ];

                while (iDevices.length) {
                    if (navigator.platform === iDevices.pop()){
                        console.log('Its iOS');
                        return true;
                    }
                }

                return false;
            }
            */

            function checkDevice(androidCallback, iphoneCallback, otherCallback) {
              var ua = navigator.userAgent;
              if (ua.toLocaleLowerCase().search("android") > -1) {
                if(androidCallback) {
                  androidCallback();
                }
              } else if(ua.toLocaleLowerCase().search("iphone") > -1 || ua.toLocaleLowerCase().search("ipod") > -1 || ua.toLocaleLowerCase().search("ipad") > -1) {
                if(iphoneCallback) {
                  iphoneCallback();
                }
              } else {
                if(otherCallback) {
                  otherCallback();
                }
              }
            }

            function jump() {
                /*
                var fallbackLink = getWebLink();
                */
                console.log(navigator.userAgent);
                console.log('jump');

                checkDevice(function () {
                    console.log('android');
                    location.href = getWebLink();
                  },function () {
                    console.log('iphone');
                    location.href = getIOSWebLink();
                  },function () {
                    console.log('other phone');
                    location.href = getWebPCLink();
                });

                /*
                if(isSafari() || iOS()) {
                    location.href = getIOSWebLink();
                    return;
                }
                window.location.replace(fallbackLink);
                */
            }

            window.jump = jump;
            window.jump();

            /*
            setTimeout(function() {
                var b = document.getElementById("appLinkButton");
                b.style.display = 'block';
            }, 5000);
            */

          }; /* window.onload */
        </script>
    </body>
</html>
